package me.totalfreedom.totalfreedommod.command;

import me.totalfreedom.totalfreedommod.rank.Rank;
import me.totalfreedom.totalfreedommod.api.ShopItem;
import net.kyori.adventure.text.minimessage.tag.resolver.Placeholder;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandPermissions(rank = Rank.OP, source = SourceType.ONLY_IN_GAME)
@CommandParameters(description = "Trails rainbow wool behind you as you walk/fly.", usage = "/<command>")
public class Command_trail extends FreedomCommand
{

    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        if (plugin.sh == null)
        {
            msgNew("<red>Shop is not enabled.");
            return true;
        }

        if (!plugin.pl.getData(playerSender).hasItem(ShopItem.RAINBOW_TRAIL))
        {
            msgNew("<red>You didn't purchase the ability to have a <item>! Purchase it from the shop.",Placeholder.unparsed("item", ShopItem.RAINBOW_TRAIL.getName()));
            return true;
        }

        if (plugin.tr.contains(playerSender))
        {
            plugin.tr.remove(playerSender);
            msgNew("Trail disabled.");
        }
        else
        {
            plugin.tr.add(playerSender);
            msgNew("Trail enabled. Run this command again to disable it.");
        }

        return true;
    }
}